6.0.0-git
2019-03-21

[#9138] Can't use default folder for Sent
Summary Can't use default folder for Sent
Queue IMP
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester presslab (at) hotmail (dot) com
Created 2010-07-12 (3174 days ago)
Due
Updated 2010-08-11 (3144 days ago)
Assigned 2010-07-13 (3173 days ago)
Resolved 2010-08-11 (3144 days ago)
Milestone
Patch No

History
2010-08-11 07:08:59 Michael Slusarz State ⇒ Resolved
 
2010-07-13 18:15:48 presslab (at) hotmail (dot) com Comment #8 Reply to this comment
You will need to make sure the prefs value for the sent_mail_folder 
entry is empty in your preferences backend.  Or try switching to 
another (valid) sent mail folder and then switching back to the 
default option.
Yes I switched to the valid 'Sent' folder (and had no errors) and then 
back to 'Use Default Value'.  I verified the git pull updated the 
files, and I deleted all the static cache files too.

Oddly enough if I select 'None' and save it, it is successful but it 
did not change the sent folder, it is still what is was previously.

2010-07-13 17:54:50 Michael Slusarz Comment #7 Reply to this comment
I still get the same error.  I am using DIMP if that matters.
You will need to make sure the prefs value for the sent_mail_folder 
entry is empty in your preferences backend.  Or try switching to 
another (valid) sent mail folder and then switching back to the 
default option.
2010-07-13 17:49:42 presslab (at) hotmail (dot) com Comment #6 Reply to this comment
I still get the same error.  I am using DIMP if that matters.

2010-07-13 01:18:38 Michael Slusarz Comment #5
Assigned to Michael Slusarz
State ⇒ Feedback
Reply to this comment
In Options->Personal Information->Sent Mail Folder the option "Use 
Default Value" does not work.
Try this.
2010-07-13 01:18:16 Git Commit Comment #4 Reply to this comment
2010-07-12 20:40:04 Michael Slusarz Comment #3 Reply to this comment
I just realized there is a trailing comma in the prefs.php; this 
trailing comma also exists in prefs.php.dist.  Unfortunately 
removing the comma does not solve the problem.
This is irrelevant - trailing commas are perfectly acceptable for PHP arrays.
2010-07-12 20:31:41 presslab (at) hotmail (dot) com Comment #2 Reply to this comment
I just realized there is a trailing comma in the prefs.php; this 
trailing comma also exists in prefs.php.dist.  Unfortunately removing 
the comma does not solve the problem.

2010-07-12 20:24:03 presslab (at) hotmail (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Can't use default folder for Sent
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
In Options->Personal Information->Sent Mail Folder the option "Use 
Default Value" does not work.  It gives the error:

The folder "#000;default" was not created. This is what the server 
said: IMAP error: Invalid mailbox name

I checked in imp/config/prefs.php and I have:

// sent mail folder
$_prefs['sent_mail_folder'] = array(
     'value' => 'Sent',
);

Which is the correct folder for sent items.

Saved Queries